Distribution:   CCux
Packager:	Christian Wasem <wasem@cux-linux.de>
Name:		lzo 
Version:	2.03
Release:	2
License:	GNU/GPL 
URL:		http://www.oberhumer.com/opensource/lzo/
Group:		Archiving/Compression
Source0:	%{name}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-buildroot
Summary:	%{name} is a data compression library with very fast (de)compression.
BuildRequires:	glibc-devel

%description
%{name} is a portable lossless data compression library written in ANSI C.
It offers pretty fast compression and very fast decompression.
Decompression requires no memory. In addition there are slower compression levels
archieving a quite competitive compression ratio while still decompressing at this very high speed.
For more details see: %{url}

%package devel
Summary: 	%{name} development headers.
Group: 		%{group}            
Requires: 	%{name} = %{version}-%{release}

%description devel
Header and include files for developing applications with %{name}.

%post
ldconfig

%postun
ldconfig

%prep
%setup -n %{name}-%{version}

%build
%configure --disable-dependency-tracking --disable-static --enable-shared
make %{?_smp_mflags}
# build minilzo too (bz 439979)
gcc %{optflags} -fpic -Iinclude/lzo -o minilzo/minilzo.o -c minilzo/minilzo.c
gcc -g -shared -o libminilzo.so.0 -Wl,-soname,libminilzo.so.0 minilzo/minilzo.o


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
install -m 755 libminilzo.so.0 $RPM_BUILD_ROOT%{_libdir}
ln -s libminilzo.so.0 $RPM_BUILD_ROOT%{_libdir}/libminilzo.so
install -p -m 644 minilzo/minilzo.h $RPM_BUILD_ROOT%{_includedir}/lzo

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING THANKS NEWS
%{_libdir}/liblzo2.so.*
%doc minilzo/README.LZO
%{_libdir}/libminilzo.so.0

%files devel
%defattr(-,root,root,-)
%doc doc/LZOAPI.TXT doc/LZO.FAQ doc/LZO.TXT
%{_includedir}/lzo
%{_libdir}/lib*lzo*.so
%{_libdir}/lib*lzo*.la

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Fri Jun 28 2008 Christian Metzen <metzench@ccux-linux.de> 2.03-2
- added minilzo
* Fri May 02 2008 Karsten Brockmann <arcam@ccux-linux.de> 2.03-1
- Version update
* Wed Aug 16 2006 Karsten Brockmann <arcam@ccux-linux.de> 2.02-1
- Version update
* Tue Jul 04 2005 Christian Metzen <metzench@ccux-linux.de> 2.01-2
- Tweaked specfile, moved more packages to devel
* Sat Jul 02 2005 Karsten Brockmann <brockmka@rz.fh-augsburg.de> 2.01-1
- Version Update to 2.01
* Sun Feb 13 2005 Christian Wasem <wasem@cux-linux.de> - 1.08-1
- Initial Release
